LL2_NEW_CONTEXT(3)

NAME
ll2_new_context - Allocates context which defines the lastlog2 environment.

SYNOPSIS

#include <lastlog2.h>

*ll2_context * ll2_new_context(const char *db_path);

DESCRIPTION

Defines lastlog2 context e.g. database file, which will be used for any other lastlog2 call. If db_path is NULL, the default path defined in LL2_DEFAULT_DATABASE will be taken.

    const   char *db_path = "/var/lib/lastlog/lastlog2.db";
    ll2_context *context = ll2_new_context(db_path);

RETURN VALUE

Returns context which will be used for all other lastlog2 library calls. This context should be released with ll2_unref_context when it is not needed anymore. Returns NULL on an error.

AUTHORS

SEE ALSO

lastlog2(3), ll2_unref_context(3), ll2_read_all(3), ll2_write_entry(3), ll2_read_entry(3), ll2_remove_entry(3), ll2_update_login_time(3), ll2_import_lastlog(3)

REPORTING BUGS

For bug reports, use the

AVAILABILITY

The liblastlog2 library is part of the util-linux package since version 2.40. It can be downloaded from